EVENT_SET_MASK(3)

EXPERIMENTAL_FUNC
event_set_mask - Set the event mask

SYNOPSIS
#include <karma_event.h>

flag event_set_mask

(unsigned long mask, long num_events, Connection connection)

DESCRIPTION
Set the event mask

mask
    The event mask. See <-event_MASKS-> for a list of event masks.

num_events
    The number of events to receive per connection. If this is less than 0, an unlimited number of events may be received.

connection
    The connection to apply the mask to. If this is NULL, all connections will have the mask applied.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/